Bug 258822 - kword:msoffice2007:Blue color background is displaying instead of normal background
Summary: kword:msoffice2007:Blue color background is displaying instead of normal back...
Status: VERIFIED FIXED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: docx (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-04 18:31 UTC by swathi
Modified: 2011-02-24 18:27 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Test data (46.73 KB, application/octet-stream)
2010-12-04 18:31 UTC, swathi
Details
Screenshot in MS Office (128.98 KB, image/x-png)
2010-12-04 18:32 UTC, swathi
Details
Screenshot in Kword (210.36 KB, image/png)
2010-12-04 18:33 UTC, swathi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2010-12-04 18:31:21 UTC
Created attachment 54110 [details]
Test data

Version:           svn (Rev: Essen revision 1202759) (using KDE 4.4.3) 
OS:                Kubuntu 10.04

Attached test data is in MS Word 2007 format.It has some text and pictures in it.
In MS Word 2007,it has no background color.
In Kword, it is displaying with blue color background.
Please check the screenshots attached.

Expected outcome:
Kword should be able to show the background of the document normally as like in the MS Word 2007 document.
Comment 1 swathi 2010-12-04 18:32:12 UTC
Created attachment 54111 [details]
Screenshot in MS Office
Comment 2 swathi 2010-12-04 18:33:18 UTC
Created attachment 54112 [details]
Screenshot in Kword
Comment 3 Sebastian Sauer 2011-02-10 16:35:00 UTC
Fixed with 15ab9e7d21f485a1aaa03d637ffc31950b65df5a.
Comment 4 swathi 2011-02-24 18:27:28 UTC
Verified in commit 103bb9f0aafefae2747153478b08931001b4ba4c.